import { runDocTest } from '../helpers';
import { jpeg as bee } from '../../images/bee';

describe('pdfmake', function() {
  // somehow the generated pdf changes at each run
  test('background', function() {
    return runDocTest(function(doc) {
      const images = { bee: bee };

      doc.font('tests/fonts/Roboto-Regular.ttf');
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('Background ', 0, 0, {
        lineBreak: false,
        textWidth: 66.73828125,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('paragraph ', 66.73828125, 0, {
        lineBreak: false,
        textWidth: 57.01171875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('on ', 123.75, 0, {
        lineBreak: false,
        textWidth: 16.435546875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('page ', 140.185546875, 0, {
        lineBreak: false,
        textWidth: 29.3203125,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('1', 169.505859375, 0, {
        lineBreak: false,
        textWidth: 6.73828125,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('Another ', 0, 14.0625, {
        lineBreak: false,
        textWidth: 45.2109375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('background ', 45.2109375, 14.0625, {
        lineBreak: false,
        textWidth: 66,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('paragraph, ', 111.2109375, 14.0625, {
        lineBreak: false,
        textWidth: 59.3671875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('this ', 170.578125, 14.0625, {
        lineBreak: false,
        textWidth: 22.599609375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('time ', 193.177734375, 14.0625, {
        lineBreak: false,
        textWidth: 26.677734375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('a ', 219.85546875, 14.0625, {
        lineBreak: false,
        textWidth: 9.498046875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('little ', 229.353515625, 14.0625, {
        lineBreak: false,
        textWidth: 25.904296875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('bit ', 255.2578125, 14.0625, {
        lineBreak: false,
        textWidth: 16.53515625,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('longer ', 271.79296875, 14.0625, {
        lineBreak: false,
        textWidth: 36.498046875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('to ', 308.291015625, 14.0625, {
        lineBreak: false,
        textWidth: 13.6171875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('make ', 321.908203125, 14.0625, {
        lineBreak: false,
        textWidth: 32.337890625,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('sure, ', 354.24609375, 14.0625, {
        lineBreak: false,
        textWidth: 28.435546875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('this ', 382.681640625, 14.0625, {
        lineBreak: false,
        textWidth: 22.599609375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('line ', 405.28125, 14.0625, {
        lineBreak: false,
        textWidth: 21.7734375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('will ', 427.0546875, 14.0625, {
        lineBreak: false,
        textWidth: 20.724609375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('be ', 447.779296875, 14.0625, {
        lineBreak: false,
        textWidth: 16.060546875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('divided ', 463.83984375, 14.0625, {
        lineBreak: false,
        textWidth: 41.267578125,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('into ', 505.107421875, 14.0625, {
        lineBreak: false,
        textWidth: 23.150390625,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('at ', 528.2578125, 14.0625, {
        lineBreak: false,
        textWidth: 13.41796875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('least ', 541.67578125, 14.0625, {
        lineBreak: false,
        textWidth: 28.875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('two ', 570.55078125, 14.0625, {
        lineBreak: false,
        textWidth: 22.751953125,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('lines', 0, 28.125, {
        lineBreak: false,
        textWidth: 24.990234375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.image(images['bee'], 0, 42.1875, {
        width: 200,
        height: 195.59902200488997
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('First ', 40, 40, {
        lineBreak: false,
        textWidth: 26.68359375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('paragraph', 66.68359375, 40, {
        lineBreak: false,
        textWidth: 54.041015625,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('Another ', 40, 54.0625, {
        lineBreak: false,
        textWidth: 45.2109375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('paragraph, ', 85.2109375, 54.0625, {
        lineBreak: false,
        textWidth: 59.3671875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('this ', 144.578125, 54.0625, {
        lineBreak: false,
        textWidth: 22.599609375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('time ', 167.177734375, 54.0625, {
        lineBreak: false,
        textWidth: 26.677734375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('a ', 193.85546875, 54.0625, {
        lineBreak: false,
        textWidth: 9.498046875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('little ', 203.353515625, 54.0625, {
        lineBreak: false,
        textWidth: 25.904296875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('bit ', 229.2578125, 54.0625, {
        lineBreak: false,
        textWidth: 16.53515625,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('longer ', 245.79296875, 54.0625, {
        lineBreak: false,
        textWidth: 36.498046875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('to ', 282.291015625, 54.0625, {
        lineBreak: false,
        textWidth: 13.6171875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('make ', 295.908203125, 54.0625, {
        lineBreak: false,
        textWidth: 32.337890625,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('sure, ', 328.24609375, 54.0625, {
        lineBreak: false,
        textWidth: 28.435546875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('this ', 356.681640625, 54.0625, {
        lineBreak: false,
        textWidth: 22.599609375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('line ', 379.28125, 54.0625, {
        lineBreak: false,
        textWidth: 21.7734375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('will ', 401.0546875, 54.0625, {
        lineBreak: false,
        textWidth: 20.724609375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('be ', 421.779296875, 54.0625, {
        lineBreak: false,
        textWidth: 16.060546875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('divided ', 437.83984375, 54.0625, {
        lineBreak: false,
        textWidth: 41.267578125,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('into ', 479.107421875, 54.0625, {
        lineBreak: false,
        textWidth: 23.150390625,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('at ', 502.2578125, 54.0625, {
        lineBreak: false,
        textWidth: 13.41796875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('least ', 515.67578125, 54.0625, {
        lineBreak: false,
        textWidth: 28.875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('two ', 40, 68.125, {
        lineBreak: false,
        textWidth: 22.751953125,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('lines', 62.751953125, 68.125, {
        lineBreak: false,
        textWidth: 24.990234375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 82.1875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 96.25, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 110.3125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 124.375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 138.4375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 152.5, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 166.5625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 180.625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 194.6875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 208.75, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 222.8125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 236.875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 250.9375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 265, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 279.0625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 293.125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 307.1875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 321.25, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 335.3125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 349.375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 363.4375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 377.5, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 391.5625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 405.625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 419.6875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 433.75, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 447.8125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 461.875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 475.9375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 490, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 504.0625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 518.125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 532.1875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 546.25, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 560.3125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 574.375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 588.4375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 602.5, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 616.5625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 630.625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 644.6875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 658.75, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 672.8125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 686.875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 700.9375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 715, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 729.0625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 743.125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 757.1875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 771.25, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 785.3125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.addPage({
        size: [595.28, 841.89],
        bufferPages: false,
        autoFirstPage: false,
        compress: false
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 40, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 54.0625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('Another ', 40, 68.125, {
        lineBreak: false,
        textWidth: 45.2109375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('Page', 85.2109375, 68.125, {
        lineBreak: false,
        textWidth: 27.123046875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 82.1875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 96.25, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 110.3125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 124.375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 138.4375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 152.5, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 166.5625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 180.625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 194.6875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 208.75, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 222.8125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 236.875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 250.9375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 265, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 279.0625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 293.125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 307.1875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 321.25, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 335.3125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 349.375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 363.4375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 377.5, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 391.5625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 405.625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 419.6875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 433.75, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 447.8125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 461.875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 475.9375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 490, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 504.0625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 518.125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 532.1875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 546.25, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 560.3125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 574.375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 588.4375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 602.5, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 616.5625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 630.625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 644.6875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 658.75, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 672.8125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 686.875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 700.9375, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 715, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 729.0625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 743.125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 757.1875, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 771.25, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 785.3125, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.addPage({
        size: [595.28, 841.89],
        bufferPages: false,
        autoFirstPage: false,
        compress: false
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('Background ', 0, 0, {
        lineBreak: false,
        textWidth: 66.73828125,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('paragraph ', 66.73828125, 0, {
        lineBreak: false,
        textWidth: 57.01171875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('on ', 123.75, 0, {
        lineBreak: false,
        textWidth: 16.435546875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('page ', 140.185546875, 0, {
        lineBreak: false,
        textWidth: 29.3203125,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('3', 169.505859375, 0, {
        lineBreak: false,
        textWidth: 6.73828125,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('Another ', 0, 14.0625, {
        lineBreak: false,
        textWidth: 45.2109375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('background ', 45.2109375, 14.0625, {
        lineBreak: false,
        textWidth: 66,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('paragraph, ', 111.2109375, 14.0625, {
        lineBreak: false,
        textWidth: 59.3671875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('this ', 170.578125, 14.0625, {
        lineBreak: false,
        textWidth: 22.599609375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('time ', 193.177734375, 14.0625, {
        lineBreak: false,
        textWidth: 26.677734375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('a ', 219.85546875, 14.0625, {
        lineBreak: false,
        textWidth: 9.498046875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('little ', 229.353515625, 14.0625, {
        lineBreak: false,
        textWidth: 25.904296875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('bit ', 255.2578125, 14.0625, {
        lineBreak: false,
        textWidth: 16.53515625,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('longer ', 271.79296875, 14.0625, {
        lineBreak: false,
        textWidth: 36.498046875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('to ', 308.291015625, 14.0625, {
        lineBreak: false,
        textWidth: 13.6171875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('make ', 321.908203125, 14.0625, {
        lineBreak: false,
        textWidth: 32.337890625,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('sure, ', 354.24609375, 14.0625, {
        lineBreak: false,
        textWidth: 28.435546875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('this ', 382.681640625, 14.0625, {
        lineBreak: false,
        textWidth: 22.599609375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('line ', 405.28125, 14.0625, {
        lineBreak: false,
        textWidth: 21.7734375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('will ', 427.0546875, 14.0625, {
        lineBreak: false,
        textWidth: 20.724609375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('be ', 447.779296875, 14.0625, {
        lineBreak: false,
        textWidth: 16.060546875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('divided ', 463.83984375, 14.0625, {
        lineBreak: false,
        textWidth: 41.267578125,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('into ', 505.107421875, 14.0625, {
        lineBreak: false,
        textWidth: 23.150390625,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('at ', 528.2578125, 14.0625, {
        lineBreak: false,
        textWidth: 13.41796875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('least ', 541.67578125, 14.0625, {
        lineBreak: false,
        textWidth: 28.875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('two ', 570.55078125, 14.0625, {
        lineBreak: false,
        textWidth: 22.751953125,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('lines', 0, 28.125, {
        lineBreak: false,
        textWidth: 24.990234375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.image(images['bee'], 0, 42.1875, {
        width: 200,
        height: 195.59902200488997
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 40, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('', 40, 54.0625, {
        lineBreak: false,
        textWidth: 0,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('Another ', 40, 68.125, {
        lineBreak: false,
        textWidth: 45.2109375,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
      doc.fill('black');
      doc.fillColor('black');
      doc.fillOpacity(undefined);
      doc.fontSize(12);
      doc.text('Page', 85.2109375, 68.125, {
        lineBreak: false,
        textWidth: 27.123046875,
        characterSpacing: 0,
        wordCount: 1,
        link: null
      });
      doc.save();
      doc.restore();
    });
  });
});
